- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: c79ba0aa-8cb4-40ba-af67-c55b379dbae9
    creation_time: 2023-02-17T13:45:15.289555Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark32_linear.c
      input_file_hashes:
        c/loop-zilu/benchmark32_linear.c: 89cd19e25f65337e099b7d725458b715b9f3d55a74700211888983a08d344117
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark32_linear.c
    file_hash: 89cd19e25f65337e099b7d725458b715b9f3d55a74700211888983a08d344117
    line: 28
    column: 0
    function: main
  loop_invariant:
    string: x == 1 || x == 2
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 296d6ecb-51ac-4aab-861b-d6c354fa8c70
    creation_time: 2023-02-17T13:45:15.289930Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark32_linear.c
      input_file_hashes:
        c/loop-zilu/benchmark32_linear.c: 89cd19e25f65337e099b7d725458b715b9f3d55a74700211888983a08d344117
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark32_linear.c
    file_hash: 89cd19e25f65337e099b7d725458b715b9f3d55a74700211888983a08d344117
    line: 33
    column: 0
    function: main
  location_invariant:
    string: x <= 8
    type: assertion
    format: C

